use super::Filter;

pub mod function_filter;
pub mod packet;

/// Only allow Pass or Drops.
pub struct StrictFilter;
impl<T> Filter<T> for StrictFilter {
    fn filter(&self, f: super::FilterState<T>) -> super::FilterState<T> {
        if let super::FilterState::Skip(_) = f {
            super::FilterState::Drop
        } else {
            f
        }
    }
}