pub mod filters;

#[derive(Debug, PartialEq, Eq)]
pub enum FilterState<T> {
    /// T passed filter
    Pass(T),
    /// T was not subject to filter.
    Skip(T),
    /// T did not pass filter
    Drop
}

pub trait Filter<T> {
    fn filter(&self, f: FilterState<T>) -> FilterState<T> {
        f
    }
}

